#ifndef DATAMANAGER_H
#define DATAMANAGER_H
#include <QVariant>
#include <QMap>
#include <QList>
#include "DataConsumer.h"
#include "DataSubscribe.h"
#include <QSharedDataPointer>
#include "Config.h"
class DataManager
{
public:
    DataManager();
    ~DataManager();
public:
    //virtual void OnData(std::string key, QVariant val);
    void Startup(Config& config);

private:
    QMultiMap<QString, DataConsumer*> consumerMap;
    QList<DataSubscribe*> subscribers;
};

#endif // DATAMANAGER_H
