QT = core

CONFIG += c++17 cmdline

# You can make your code fail to compile if it uses deprecated APIs.
# In order to do so, uncomment the following line.
#DEFINES += QT_DISABLE_DEPRECATED_BEFORE=0x060000    # disables all the APIs deprecated before Qt 6.0.0
INCLUDEPATH += ../include/

HEADERS += \
    ../include/BaseModule.h \
    ../include/Define.h \
    ../include/JobModule.h \
    ../include/LibraryLoader.h \
    ../include/RunnableModule.h \
    ../include/Publisher.h \
    Config.h


HEADERS += \
    DataConsumer.h \
    DataManager.h \
    DataManagerProxy.h \
    DataSubscribe.h

SOURCES += \
        Config.cpp \
        DataConsumer.cpp \
        DataManager.cpp \
        DataManagerProxy.cpp \
        DataSubscribe.cpp \
        main.cpp

HIREDIS_DIR =$$PWD/../thirdparty/hiredis
HEADERS += $${HIREDIS_DIR}/include/hiredis/adapters/qt.h

LIBS += -L$${HIREDIS_DIR}/lib -lhiredis
#LIBS += ../thirdparty/hiredis/lib/libhiredis.a
INCLUDEPATH += $${HIREDIS_DIR}/include

INCLUDEPATH += $$PWD/../modules/RedisClient
LIBS +=-L$$PWD/../bin/plugins -lRedisClient

TRANSLATIONS += \
    DataManager_zh_CN.ts
CONFIG += lrelease
CONFIG += embed_translations

# Default rules for deployment.
qnx: target.path = /tmp/$${TARGET}/bin
else: unix:!android: target.path = /opt/$${TARGET}/bin
!isEmpty(target.path): INSTALLS += target

unix{
}
else{
    DESTDIR = $$PWD/../bin/
}


