QT -= gui

TEMPLATE = lib
DEFINES += REDISSUBSCRIBER_LIBRARY

CONFIG += c++17

# You can make your code fail to compile if it uses deprecated APIs.
# In order to do so, uncomment the following line.
#DEFINES += QT_DISABLE_DEPRECATED_BEFORE=0x060000    # disables all the APIs deprecated before Qt 6.0.0

INCLUDEPATH += ../../include

HEADERS += \
    ../../include/LibraryLoader.h \
    ../../include/Publisher.h
    #Redis.h

HIREDIS_DIR =$$PWD/../../thirdparty/hiredis
HEADERS += $${HIREDIS_DIR}/include/hiredis/adapters/qt.h

LIBS += -L$${HIREDIS_DIR}/lib -lhiredis
#LIBS += ../thirdparty/hiredis/lib/libhiredis.a
INCLUDEPATH += $${HIREDIS_DIR}/include

SOURCES += \
    #Redis.cpp \
    RedisSubscriber.cpp

HEADERS += \
    RedisSubscriber_global.h \
    RedisSubscriber.h

INCLUDEPATH += $$PWD/../../modules/RedisClient
LIBS +=-L$$PWD/../../bin/plugins -lRedisClient

# Default rules for deployment.
unix {
    target.path = /usr/lib
}else{
    DESTDIR = $$PWD/../../bin/plugins
}
!isEmpty(target.path): INSTALLS += target
